/*
Lua 5.2 & Luna Five: Account Example
Date: 16 May 2013
Website: http://blog.p86.dk
*/

#pragma once
#include "luna.h" //Luna Five Header

/*
Account to class to be made available in Lua using the Luna Five C++ Header.
*/
class Account {
  public:
    Account(lua_State *L);
    ~Account(void);

    int Deposit(lua_State *L);
    int Withdraw(lua_State *L);
    int Balance(lua_State *L);

    //Class Constants
    static const char className[];
    static const Luna<Account>::PropertyType properties[];
    static const Luna<Account>::FunctionType methods[];

  private:
    int m_balance; //Account balance
};

